# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Log/Log4perl.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/SimpleTable.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.4.3
%define module_name RSH-Logging
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4.3
Release: alt1
Summary: Utility for instrumenting code using Log::Log4perl.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/ML/MLUKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
RSH::Logging is kind of like poor-man's profiling or dtrace.  It is designed on the same
concepts behind logging packages like Log::Log4perl, that when event tracking is off, there
be little to no overhead incurred by leaving the code in place.  This allows you to 
instrument all your code and frameworks and then dynamically turn on this kind of
profiling information when you need it.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1
- initial import by package builder

